%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Translation (.po) file editor with many features
Name:		gtranslator
Version:	2.90.8
Release:	%mkrel 4
License:	GPLv2+
Group:		Editors
URL:		http://projects.gnome.org/gtranslator
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtranslator-2.90.6-link.patch
Patch1:		gtranslator-2.90.6-gtk3.patch
BuildRequires:	pkgconfig(gdict-1.0)
BuildRequires:	pkgconfig(gdl-3.0) >= 2.91.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.3
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.12.0
BuildRequires:	pkgconfig(libgda-5.0) >= 4.2.3
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:  imagemagick
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	scrollkeeper
BuildRequires:	gettext-devel
Requires:	gettext

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files immenantly.

%package	devel
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}
Summary:	Development files for %name

%description devel
This package contains development files needed to build %{name} plugins.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-scrollkeeper \
	--with-gda=5.0 \
	--with-dictionary \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/%{name}/%{name}-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS
%doc %{_datadir}/gtk-doc/html/gtranslator
%{_bindir}/gtranslator
%{_datadir}/gtranslator
%{_libdir}/gtranslator
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/gtranslator.*
%{_datadir}/pixmaps/*
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator*.gschema.xml

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gtranslator-3.0


%changelog

* Sun Apr 22 2012 ovitters <ovitters> 2.90.8-4.mga2
+ Revision: 232675
- rebuild for new gdl

* Sun Apr 01 2012 fwang <fwang> 2.90.8-3.mga2
+ Revision: 227720
- rebuild for new gdl

* Mon Feb 06 2012 wally <wally> 2.90.8-2.mga2
+ Revision: 205488
- build against gda-5.0
- enable dictionary plugin
- tag .omf files as lang ones
- enable introspection support for sure

* Mon Feb 06 2012 fwang <fwang> 2.90.8-1.mga2
+ Revision: 205449
- new version 2.90.8

* Fri Oct 28 2011 fwang <fwang> 2.90.7-2.mga2
+ Revision: 159177
- rebuild for new gdl

* Thu Oct 20 2011 wally <wally> 2.90.7-1.mga2
+ Revision: 156960
- new version 2.90.7

* Wed Oct 12 2011 fwang <fwang> 2.90.6-1.mga2
+ Revision: 154043
- br gtk-doc
- use gnome-autogen
- fix build
- imported package gtranslator

